#include "minigui.ch"
** #include "oohg.ch"
function Main()   
*---------------------------------------*
  SET CENTURY ON 
  SET DATE FRENCH 
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH
  SET INTERACTIVECLOSE OFF
*---------------------------------------* 
  SET TOOLTIPSTYLE BALLOON

// this follow rows is required ONLY for HMG Minigui compatibility
#ifdef __MINGW32__
  SET TOOLTIPBACKCOLOR {255,255,184 }
  SET TOOLTIPFORECOLOR {0,0,0 }
#endif

*-----------------------------------------------------*

 PUBLIC  dFFechaAA, dFFechaBB , dFfechaxCAA, dFfechaxCBB ,dFdiaS

 IF .NOT. FILE('NOUDATE.MEM')

   dFFechaAA := CTOD("  /  /    ")
   dFFechaBB := CTOD("  /  /    ")  
   dFfechaxCAA := DTOC( dFFechaAA ) 
   dFfechaxCBB := DTOC( dFFechaBB ) 
   dFdiaS := 0

   SAVE TO NOUDATE.MEM ALL LIKE dF* 
 ENDIF
 
       SET DATE FRENCH 

       RESTORE FROM NOUDATE.MEM ADDITIVE

  DEFINE WINDOW Form_1                    ;
       AT 0,0                             ;
       WIDTH 680 HEIGHT 520               ;
       TITLE " Calcul_Day "+SPACE(2)+ DTOC(DATE()) ;  
       icon "Logo"                        ;
       MAIN NOSIZE NOMAXIMIZE 

       ON KEY ESCAPE ACTION Form_1.Release

*-------------------------------------------------------------------------------------------------------------*
       @ 00,00 LABEL Label_00 VALUE "Calculo de Das entre Fechas" CENTERALIGN ;
         FONT "Arial" SIZE 22 BOLD ITALIC BACKCOLOR {23,101,12} FONTCOLOR {255,016,014} ;
         WIDTH 675 HEIGHT 45 
*-------------------------------------------------------------------------------------------------------------*
       @ 50, 10 FRAME FRAME WIDTH 656 HEIGHT 408 CAPTION "Calculo de Das entre Fechas " ;
         FONT "COURIER NEW" SIZE 12 BOLD ITALIC                             
*-------------------------------------------------------------------------------------------------------------*  
       @ 79, 68 LABEL Label_01 VALUE 'Indique Fecha  ->' AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ;

       @ 79,277 TEXTBOX Texto_01  ;
         VALUE DTOC(DATE())       ;
         WIDTH 124 HEIGHT 20      ;  
         FONT "Verdana" SIZE 12 BOLD ITALIC ;                           
         INPUTMASK '99/99/9999' ;
         ON GOTFOCUS TextBoxColor(1)     
*-------------------------------------------------------------------------------------------------------------*  
       @ 109, 68 LABEL Label_02 VALUE 'Indique Fecha  ->' AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ;              
                          
       @ 109,277 TEXTBOX Texto_02 ;
         VALUE DTOC(DATE())       ;
         WIDTH 124 HEIGHT 20      ;  
         FONT "Verdana" SIZE 12 BOLD ITALIC ;  
         INPUTMASK '99/99/9999'   ; 
         ON GOTFOCUS TextBoxColor(2) ;  
         ON ENTER Calcular()   
*-------------------------------------------------------------------------------------------------------------*                   
       @ 139, 68 LABEL Label_03 VALUE 'Faltan Dias  ->'AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ;
                       
       @ 139,277 TEXTBOX Texto_03 ;
         WIDTH 124 HEIGHT 20      ; 
         BackColor {183,214,244}  ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ; 
         NUMERIC INPUTMASK "9,999,999,999"
*-------------------------------------------------------------------------------------------------------------*  
       @ 169, 68 LABEL Label_04 VALUE 'Eleccin Anterior ->' AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ;

       @ 169,277 TEXTBOX Texto_04 ;
         BACKCOLOR {180,200,255}  ;
         VALUE DTOC (dFFechaAA)   ;
         WIDTH 124 HEIGHT 20      ;  
         FONT "Verdana" SIZE 12 BOLD ITALIC                           
*-------------------------------------------------------------------------------------------------------------*            
       @ 199, 68 LABEL Label_05 VALUE 'Eleccin Anterior ->' AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC           
                     
       @ 199,277 TEXTBOX Texto_05 ;
         BACKCOLOR {180,200,255}  ;
         VALUE DTOC (dFFechaBB)   ;
         WIDTH 124 HEIGHT 20      ;  
         FONT "Verdana" SIZE 12 BOLD ITALIC   
*--------------------------------------------------------------------------------------------------------------*  
      @ 229, 68 LABEL Label_06 VALUE 'Faltan Dias  ->'AUTOSIZE ;
         FONT "Verdana" SIZE 12 BOLD ITALIC ;

      @ 227,277 TEXTBOX Texto_06  ;
         BACKCOLOR {180,200,255}  ;
         WIDTH 124 HEIGHT 20      ;  
         FONT "Verdana" SIZE 12 BOLD ITALIC ; 
         VALUE dFdiaS             ;
         NUMERIC INPUTMASK "9,999,999,999"                      
*-------------------------------------------------------------------------------------------------------------*  
      @ 262,  60 MONTHCALENDAR Date_1 ;
         VALUE dFFechaAA                      

      @ 262, 430 MONTHCALENDAR Date_9 ;
         VALUE  dFFechaBB                     
*------------------------------------------------------------------------------------------------------------*
      @ 462, 330 LABEL Label_07 VALUE "Calcul_Day - mustalopez@gmail.com - Mustafa Lpez" ;
         FONT "Arial" SIZE 9 BOLD ITALIC  FONTCOLOR {0,64,128} ;
         WIDTH 590 HEIGHT 20  
*-------------------------------------------------------------------------------------------------------------*                 
      @ 70,460 IMAGE imgPhoto   ;
  	 PICTURE "Reloj.jpg"    ;
  	 WIDTH 150 HEIGHT 180
*-------------------------------------------------------------------------------------------------------------*                                                                      
      @ 373,290 BUTTON Bus_01   ;
         CAPTION 'Salir'        ;
         TOOLTIP 'Finalizar Programa';
         ACTION FinalProgram() 
*-------------------------------------------------------------------------------------------------------------*                             
      END WINDOW

 Form_1.Texto_01.Enabled := .T. 
 Form_1.Texto_02.Enabled := .T. 
 Form_1.Texto_03.ReadOnly :=.T. // <- ReadOnly :=.T.  no deja escribir, mejor que Enabled := .F. 
 Form_1.Texto_04.ReadOnly :=.T. 
 Form_1.Texto_05.ReadOnly :=.T. 
 Form_1.Texto_06.ReadOnly :=.T. 
 Form_1.Texto_01.SetFocus 

      CENTER WINDOW Form_1
      ACTIVATE WINDOW Form_1
 RETURN NIL

*--------------------------------------*
  PROCEDURE Calcular()  
  
   ERASE('NOUDATE.MEM')
   
   dFFechaAA := CTOD (Form_1.Texto_01.value)             
  
   dFfechaxCAA = DTOC( dFFechaAA )  


   dFFechaBB = CTOD (Form_1.Texto_02.value)             
  
   dFfechaxCBB = DTOC( dFFechaBB )       


   SET DATE ANSI
   
   dFdiaS =  dFFechaAA - dFFechaBB  
  
   SAVE TO NOUDATE.MEM ALL LIKE dF*
 
   SET DATE FRENCH 

   Form_1.Texto_01.value:= DTOC(DATE())         

   Form_1.Texto_02.value:= DTOC(DATE())          

   dFdiaS :=  dFFechaAA - dFFechaBB  

   Form_1.Texto_03.Value := dFdiaS   
   Form_1.Texto_04.Value := DTOC (dFFechaAA) 
   Form_1.Texto_05.Value := DTOC (dFFechaBB) 
   Form_1.Texto_06.Value := dFdiaS
   Form_1.Date_1.Value   := dFFechaAA    
   Form_1.Date_9.Value   := dFFechaBB 
   Form_1.Texto_01.setfocus 

RETURN

*---------------------------------------------------*
 PROCEDURE TextBoxColor(nTextBox)
  Form_1.Texto_01.BackColor := {183,214,244}       
  Form_1.Texto_02.BackColor := {183,214,244}      

 DO CASE
  CASE nTextBox ==1 ; Form_1.Texto_01.BackColor := {080,080,255}         
  CASE nTextBox ==1 ; Form_1.Texto_01.Fontcolor := {255,255,255}

  CASE nTextBox ==2 ; Form_1.Texto_02.BackColor := {080,080,255}          
  CASE nTextBox ==2 ; Form_1.Texto_02.Fontcolor := {255,255,255}

 ENDCASE

 RETURN(NIL)
*-------------------- Salir -----------------------*
 PROCEDURE FinalProgram()

 IF MsgYesNo("Desea Finalizar Programa ?","ATENCION !!!") = .T.
    Form_1.Release
    Return .T.
 EndIf

 RETURN






